/******************************************************************

		Theme: Form CSS
		Name: form.css
		Description: Styles for the nlForm, and Buttons
		Author: Thomas Gull
		Author URI: gulldesign.ch
		Version: v2.0
		Release: 2013-04-07
		License: Public Licence

******************************************************************/

/* form newsletter
------------------------------*/
.form#contact br { clear:both; }

fieldset { border: none; padding: 0; margin: 0; margin-bottom: 25px;}

label {
	margin: 10px 20px 5px 4px;
	font-size: 17px;
	font-weight: normal;
	line-height: 20px;
	display: block; 
}

label.left {
	float:left;
	width:65px; 
}

label.salutation {
	width:60px;
	margin: 10px 8px 0px 12px;
	font-weight: 600;	
}

label.required:after {
	content: "*";
	/*color: #bf0101;*/
	color: #fff;
}

ul.salutation li { display:inline-block; height: 30px; }

ul.salutation li input.small {
	float:left;
	margin-top: 10px;
}

.close {
	float: right;
	font-size: 20px;
	font-weight: bold;
	line-height: 20px;
	color: #000000;
	text-decoration: none;
	text-shadow: 0 1px 0 #ffffff;
	opacity: 0.2;
	filter: alpha(opacity=20);
}

.close:hover,
.close:focus {
	color: #000000;
	text-decoration: none;
	cursor: pointer;
	opacity: 0.4;
	filter: alpha(opacity=40);
}

select,
input {
	font-size: 14px;
	font-weight: normal;
	line-height: 20px;
	width: 100%;
}

select,
input.large { width: 300px; }
input.half { width: 50%; }
input.small { width: 80px; }
input.smaller { width: 50px; }

input[type="text"],
input[type="number"],
input[type="email"],
input[type="password"],
input[type="datetime"],
input[type="date"],
input[type="search"], 
textarea {
	font-size: 1.4em;
	display: inline-block;
	padding: 4px 6px;
	margin-bottom: 10px;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	background-color: #ffffff;
	border: 1px solid #cccccc;
	-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
	-moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
	-webkit-transition: border linear .2s, box-shadow linear .2s;
	-moz-transition: border linear .2s, box-shadow linear .2s;
	-o-transition: border linear .2s, box-shadow linear .2s;
	transition: border linear .2s, box-shadow linear .2s;
}

textarea { (;width: 98%;); }

/*==============================================================================
  HACKS
==============================================================================*/
/*------------------------------------------------------------------------------
  FIREFOX
------------------------------------------------------------------------------*/

_::-moz-range-track, body:last-child input {	
		width: 96%
}
_::-moz-range-track, body:last-child textarea {	
		width: 96%
}

/*------------------------------------------------------------------------------
  FORM
------------------------------------------------------------------------------*/

textarea.blog,
input.blog,
select { font-size: 1.1em;}

select { height: 40px; width: 100%; height: 28px;
  width: 150px;
  background: #f2f2f2;
  border: 1px solid;
  border-color: white #ccc #aaa;
  border-radius: 3px;
  background-image: -webkit-linear-gradient(top, transparent, rgba(0, 0, 0, 0.06));
  background-image: -moz-linear-gradient(top, transparent, rgba(0, 0, 0, 0.06));
  background-image: -o-linear-gradient(top, transparent, rgba(0, 0, 0, 0.06));
  background-image: linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.06));
  -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.08);
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.08);}

input[type="text"],
input[type="number"],
input[type="email"],
input[type="password"],
input[type="datetime"],
input[type="date"],
input[type="search"] {
	height: 30px;
}

input[type="text"]:focus,
input[type="number"]:focus,
input[type="email"]:focus, 
input[type="password"]:focus,
input[type="datetime"]:focus,
input[type="date"]:focus,
input[type="search"]:focus,
textarea:focus {
	border-color: rgba(230, 230, 230, .8);
	outline: 0;
	outline: thin dotted \9; /* IE6-9 */
	-webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 10px rgba(230, 230, 230, .8);
	-moz-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 10px rgba(230, 230, 230, .8);
	box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 10px rgba(230, 230, 230, .8);
}

textarea {
	/*width: 280px;*/
	width: 100%;
}

@-moz-document url-prefix() { 
  textarea {
     width: 308px;
  }
}

input[type="radio"],
input[type="checkbox"] {
	width: 20px;
	height: 20px;
	margin: 3px 0 0;
	*margin-top: 0;
}

input.error[type="text"],
input.error[type="number"],
input.error[type="email"],
input.error[type="password"],
input.error[type="datetime"],
input.error[type="date"],
input.error[type="search"], 
textarea.error {
	border: 1px solid #bf0101;
}

/* messages
------------------------------*/
.message {
	width: 100%;
	margin-bottom: 8px;
	padding: 6px;
	border-radius: 5px;
	background-color: #ccc;
	border: 1px solid #aaa;
	color: rgba(40, 40, 40, 1);
}

.message.error {
	background-color: #f2dede;
	border-color: #eed3d7;
	color: #b94a48;
}

.message.success {
	background-color: #dff0d8;
	border-color: #d6e9c6;
	color: #468847;
}

/* buttons
------------------------------*/
.btn {
	width: 10%;
	float: right;
	display: inline-block;
	*display: inline; /* IE7 inline-block hack */
	*zoom: 1;
	padding: 4px 12px;
	/*margin-bottom: 0;*/
	/*margin-left: 260px;*/
	font-size: 14px;
	line-height: 20px;
	text-align: center;
	vertical-align: middle;
	cursor: pointer;
	color: #333333;
	text-shadow: 0 1px 1px rgba(255, 255, 255, 0.75);
	background-color: #f5f5f5;
	background-image: -moz-linear-gradient(top, #ffffff, #e6e6e6);
	background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e6e6e6));
	background-image: -webkit-linear-gradient(top, #ffffff, #e6e6e6);
	background-image: -o-linear-gradient(top, #ffffff, #e6e6e6);
	background-image: linear-gradient(to bottom, #ffffff, #e6e6e6);
	background-repeat: repeat-x;
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#ffe6e6e6', GradientType=0);
	border-color: #e6e6e6 #e6e6e6 #bfbfbf;
	border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
	*background-color: #e6e6e6; /* Darken IE7 buttons by default so they stand out more given they won't have borders */
	filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
	border: 1px solid #bbbbbb;
	*border: 0;
	border-bottom-color: #a2a2a2;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	*margin-left: .3em;
	margin-left: 8px;
	-webkit-box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);
	-moz-box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);
	box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);
}

.btn:hover {
	color: #333333;
	text-decoration: none;
	background-position: 0 -15px;
	-webkit-transition: background-position 0.1s linear;
	-moz-transition: background-position 0.1s linear;
	-o-transition: background-position 0.1s linear;
	transition: background-position 0.1s linear;
}

.btn:focus {
	outline: thin dotted #333;
	outline: 5px auto -webkit-focus-ring-color;
	outline-offset: -2px;
}

.btn.active,
.btn:active {
	background-image: none;
	outline: 0;
	-webkit-box-shadow: inset 0 2px 4px rgba(0,0,0,.15), 0 1px 2px rgba(0,0,0,.05);
	-moz-box-shadow: inset 0 2px 4px rgba(0,0,0,.15), 0 1px 2px rgba(0,0,0,.05);
	box-shadow: inset 0 2px 4px rgba(0,0,0,.15), 0 1px 2px rgba(0,0,0,.05);
}